diff run-from-build.sh @ 744:759adf5a0fe9

Refactor so include.sh mostly just sets environment variables. Move read_arch_dir to function and call it explicitly (no more need for $NO_ARCH). Make blank_tempdir a function, called explicitly by stages when needed, with some sanity checks. Insert prerequisite tests to later stages so they can detect failure early and provide an explicit erro rmessage, and have those tests happen before blanking $WORK dir, to preserve debugging info. Make buildall.sh depend on prerequisite tests rather than trying to avoid calling later stages (and thus do flow control from asynchronous context). Add FAIL_QUIET option so buildall.sh doesn't spam the log with the new prerequisite error messages.
author Rob Landley <rob@landley.net>
date Thu, 11 Jun 2009 05:42:51 -0500
parents ea25e4da724e
children 93f2e856357e
line wrap: on
line diff
--- a/run-from-build.sh	Thu Jun 11 00:26:15 2009 -0500
+++ b/run-from-build.sh	Thu Jun 11 05:42:51 2009 -0500
@@ -2,7 +2,15 @@
 
 source sources/include.sh || exit 1
 
-cd "${BUILD}/system-image-$ARCH_NAME" || exit 1
+SYSDIR="${BUILD}/system-image-$ARCH_NAME"
+
+if [ ! -f "$SYSDIR/run-emulator.sh" ]
+then
+  [ -z "$FAIL_QUIET" ] && echo "No $SYSDIR/run-emulator.sh" >&2
+  exit 1
+fi
+
+cd "$SYSDIR" || exit 1
 
 # A little paranoia.
 [ -f "image-${ARCH}.ext2" ] && fsck.ext2 -y "image-${ARCH}.ext2" </dev/null